
{-----------------------------------------------------------------------------
 Package:        MD - CP Gateway Service
 Developer(s):   Brian Juergensmeyer, Dan Petit
 Date Created:   13-Oct-2006
 Site Name:      Hines OIFO
 Description:
 History:
   $Header: /CP Modernization/CliO/source/CP Gateway/CPGatewayService.dpr 2     10/26/08 8:18p Zzzzzzpetitd $
   $History: CPGatewayService.dpr $
 * 
 * *****************  Version 2  *****************
 * User: Zzzzzzpetitd Date: 10/26/08   Time: 8:18p
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 1  *****************
 * User: Zzzzzzpetitd Date: 9/17/08    Time: 12:05p
 * Created in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 11  *****************
 * User: Zzzzzzpetitd Date: 9/17/08    Time: 11:56a
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 10  *****************
 * User: Zzzzzzpetitd Date: 9/05/08    Time: 10:09p
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * Gateway work!
 * 
 * *****************  Version 9  *****************
 * User: Zzzzzzpetitd Date: 11/10/07   Time: 12:22p
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 8  *****************
 * User: Zzzzzzjuergb Date: 10/30/07   Time: 10:20a
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 7  *****************
 * User: Zzzzzzjuergb Date: 10/27/07   Time: 7:01p
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 6  *****************
 * User: Zzzzzzjuergb Date: 10/24/07   Time: 9:26a
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 4  *****************
 * User: Zzzzzzjuergb Date: 4/21/07    Time: 11:28p
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * Pre Spacelabs test.
 * 
 * *****************  Version 3  *****************
 * User: Zzzzzzjuergb Date: 3/26/07    Time: 8:56a
 * Updated in $/CP Modernization/CliO/source/CP Gateway
 * 
 * *****************  Version 1  *****************
 * User: Zzzzzzjuergb Date: 10/13/06   Time: 10:55a
 * Created in $/CP Modernization/CliO/source/CP Gateway
 * Initial checkin
-----------------------------------------------------------------------------}
program CPGatewayService;

{%ToDo 'CPGatewayService.todo'}

uses
  SvcMgr,
  sCPGateway in 'sCPGateway.pas' {CPGatewaySvc: TService},
  uCPMessage in 'uCPMessage.pas',
  uCPNotifier in 'uCPNotifier.pas',
  uCPParams in 'uCPParams.pas',
  uHL7CorrectionMap in 'uHL7CorrectionMap.pas',
  oGateway in '..\Common\objects\oGateway.pas',
  oTermMapper in '..\Common\objects\oTermMapper.pas',
  oDBController_Terminology in '..\Common\objects\oDBController_Terminology.pas',
  oInterfaces in '..\Common\objects\oInterfaces.pas',
  oDBConnection_VistA in '..\Common\objects\oDBConnection_VistA.pas',
  oCPParameters in '..\Common\objects\oCPParameters.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Clinical Procedures Gateway Service';
  Application.CreateForm(TCPGatewaySvc, CPGatewaySvc);
  Application.Run;
end.
